<?php
/**
 * @version    1.0.2
 * @package    com_gadecisions
 * @author     Glenn Arkell <glenn@glennarkell.com.au>
 * @copyright  2023 Glenn Arkell
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
// no direct access
defined('_JEXEC') or die;

use \Joomla\CMS\Factory;
use \Joomla\CMS\Router\Route;
use \Joomla\CMS\Language\Text;
use \Joomla\CMS\Uri\Uri;
use \Joomla\CMS\HTML\HTMLHelper;
use \Joomla\Session\SessionInterface;
use \Joomla\CMS\Application\SiteApplication;
use \GlennArkell\Component\Gadecisions\Administrator\Helper\GadecisionsHelper;

//Load admin language file
$lang = Factory::getLanguage();
$lang->load('com_gadecisions', JPATH_ADMINISTRATOR);

// load any assets required
$wa = $this->document->getWebAssetManager()
    ->usePreset('com_gadecisions.gadecisionspreset');
GadecisionsHelper::loadTmplStyleModal($wa);

$user = GadecisionsHelper::getSpecificUser();

$this->form->setFieldAttribute('id', 'type', 'hidden');

?>
<style>
    .front-end-edit label {
        max-width: 120px !important;
    }
    .front-end-edit .controls {
        margin-left: 135px !important;
    }
</style>
<div class="edit item-page front-end-edit">
<form
	id="form-motion" action="<?php echo Route::_('index.php?option=com_gadecisions&task=motionform.setNominee'); ?>"
	method="post" class="form-validate form-horizontal" enctype="multipart/form-data" target="_parent">

<h3><?php echo $this->item->title; ?></h3>
    <div class="row-fluid">
        <div class="span12 form-horizontal center">
        
            <?php echo $this->form->renderField('id'); ?>
            <?php echo $this->form->renderField('decider'); ?>

        </div>

        <p class="center">
            <button type="submit" class="validate btn btn-primary"><?php echo Text::_('JSUBMIT'); ?></button>
        </p>
    </div>
    <div>
        <input type="hidden" name="task" value="motionform.setNominee" />
        <?php echo HTMLHelper::_('form.token'); ?>
    </div>
</form>
</div>
